Langsung ke konten utama
GET
/
v3
/
products
/
{product_id}
/
follow-up-chats
List product follow-up chats
curl --request GET \
  --url https://api.scalev.com/v3/products/{product_id}/follow-up-chats \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "bundle_id": 123,
      "change_status": true,
      "hours_after": 123,
      "id": 123,
      "image": "<string>",
      "is_default": true,
      "name": "<string>",
      "product_id": 123,
      "provider": "<string>",
      "store_id": 123,
      "text_for_bank_transfer": "<string>",
      "text_for_cod": "<string>",
      "text_for_epayment": "<string>",
      "trigger": "<string>",
      "wa_gateway_assignation_type": "<string>",
      "wa_integration": {
        "id": 123,
        "name": "<string>",
        "phone_number": "<string>",
        "provider": "<string>"
      }
    }
  ],
  "is_paginated": true,
  "has_next": false,
  "has_previous": true,
  "next_cursor": "<string>",
  "previous_cursor": "<string>",
  "page_size": 25
}

Otorisasi

Authorization
string
header
wajib

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Parameter Path

product_id
string
wajib

Parameter Query

next_cursor
string

Opaque cursor for the next page.

previous_cursor
string

Opaque cursor for the previous page.

page_size
integer

Number of items per page (default: 25, max: 25)

Rentang yang diperlukan: x <= 25
Contoh:

25

Respons

Paginated list of follow up chats

Paginated list payload for v3.

data
ManagingFollowUpChat · object[]
wajib
is_paginated
enum<boolean>
wajib
Opsi yang tersedia:
true
Contoh:

true

has_next
boolean
default:false
Contoh:

false

has_previous
boolean
next_cursor
string | null
previous_cursor
string | null
page_size
integer
default:25
Contoh:

25